import * as types from "../constants/actionTypes";

import data from "../utils/fakeData";

const initState = {
	list: data,
	data: {},
	loads: [{ id: new Date().getTime(), name: "" }]
};

export default (state = initState, { type, payload }) => {
	switch (type) {
		case types.CHANGE_INPUT_VALUE: {
			const { id, value, checked, loads } = payload;

			if (loads) {
				console.log("loads", payload);

				// const loads = state.loads.map( el => el.id === id ? ({...el, name: value}) : el )

				const loads = state.loads.map(el => {
					if (el.id === id) {
						return { ...el, name: value };
					}
					return el;
				});

				return { ...state, loads };
			}

			return {
				...state,
				data: {
					...state.data,
					[id]: id === "night" ? checked : value
				}
			};
		}
		case types.ADD_TO_LIST: {
			const list = state.list.concat({ ...state.data, id: new Date().getTime(), load: state.loads });

			return { ...state, list };
		}

		case types.ADD_LOADS: {
			const newDateInput = { id: new Date().getTime(), name: "" };

			return { ...state, loads: state.loads.concat(newDateInput) };
		}

		default:
			return state;
	}
};
