import React, { Component, Fragment } from "react";
import { bindActionCreators } from "redux";
import { connect } from "react-redux";

import * as actions from "../actions/todo";
import List from "../components/list";
import LoadForm from "../components/loadForm";
import EditModal from "../components/modal";

class App extends Component {
	state = {
		openAddForm: false,
		toggleModal: false
	};

	openEditModal = () => this.setState({ toggleModal: true });
	closeEditModal = () => this.setState({ toggleModal: false });

	openFormHandler = () => this.setState(prevState => ({ openAddForm: !prevState.openAddForm }));

	render() {
		const { list, changeInputValue, inputData, addToList, loads, addLoads } = this.props;
		const { openAddForm, toggleModal } = this.state;
		console.log("list", list);
		return (
			<Fragment>
				<h1 className="h1-tag">
					Доставка грузов "to-do list" -{" "}
					<span onClick={this.openFormHandler} className="h1-tag h1-tag--add">
						Добавить груз
					</span>
				</h1>
				<div className="todo">
					<List list={list} openEditModal={this.openEditModal} />

					{openAddForm && (
						<LoadForm
							addLoads={addLoads}
							loads={loads}
							addToList={addToList}
							inputData={inputData}
							changeInputValue={changeInputValue}
						/>
					)}
				</div>

				<EditModal visible={toggleModal} handleClose={this.closeEditModal} />
			</Fragment>
		);
	}
}

const mapStateToProps = state => ({
	list: state.todo.list,
	inputData: state.todo.data,
	loads: state.todo.loads
});

const mapDispatchToProps = dispatch => bindActionCreators({ ...actions }, dispatch);

export default connect(
	mapStateToProps,
	mapDispatchToProps
)(App);
